Mailinglist Archive: opensuse-bugs (4709 mails)

< Previous Next >
[Bug 581505] SELinux tools
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 6 Apr 2010 21:23:49 +0000
  • Message-id: <20100406212349.30878CC7D0@xxxxxxxxxxxxxxxxxxxxxx>
http://bugzilla.novell.com/show_bug.cgi?id=581505

http://bugzilla.novell.com/show_bug.cgi?id=581505#c23


--- Comment #23 from Alan Rouse <alan@xxxxxxxxxx> 2010-04-06 21:23:47 UTC ---
(In reply to comment #22)
Alan: These should be fixed as well.

In ...repositories/security:/SELinux/openSUSE_Factory/i586/

setroubleshoot-2.2.64-10.1.i586.rpm requires setroubleshoot-plugins >= 2.0.4
but nothing provides it.

setroubleshoot-server-2.2.64-10.1.i586.rpm requires libselinux-python but
nothing provides it.

Also, another selinux-related issue: /usr/lib/libcrypto.so.0.9.8 unnecessarily
(?) requires executable stack, which selinux does not permit. This prevents
logging in (among other things I'm sure...) with selinux in enforcing mode.

After "zypper install prelink" you get the tools needed to confirm and fix
this.

To confirm:
execstack -q /usr/lib/libcrypto.so.0.9.8

return "X" at the start of the line, confirming the library wants an executable
stack.

To fix:
execstack -c /usr/lib/libcrypto.so.0.9.8

For more info, see
http://etbe.coker.com.au/2007/10/07/executable-stack-and-shared-objects/

--
Configure bugmail: http://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >